
QGIS Application - Bug report #20373

QGIS 3.5 crashed after ad a layer from grass mapset

2018-11-05 08:32 PM - Torsten Hase

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28193

Description

User Feedback

Only load a layer from grass mapset

Report Details

Crash ID: 0a6a6fdfeb53aa50276b49c3995ecb0812735d39

Stack Trace

RtlRaiseStatus :

memset :

setjmpex :

G_fatal_error :

G_fseek :

dig_fseek :

Vect_get_line_offset :

Vect_read_line :

QgsGrassFeatureIterator::fetchFeature qgsgrassfeatureiterator.cpp:385

QgsAbstractFeatureIterator::nextFeature qgsfeatureiterator.cpp:63

QgsFeatureIterator::nextFeature qgsfeatureiterator.h:375

QgsVectorLayerFeatureIterator::fetchFeature qgsvectorlayerfeatureiterator.cpp:336

QgsAbstractFeatureIterator::nextFeature qgsfeatureiterator.cpp:63

QgsFeatureIterator::nextFeature qgsfeatureiterator.h:375

QgsVectorLayerRenderer::drawRenderer qgsvectorlayerrenderer.cpp:264

QgsVectorLayerRenderer::render qgsvectorlayerrenderer.cpp:249

QgsMapRendererParallelJob::renderLayerStatic qgsmaprendererparalleljob.cpp:256

QtConcurrent::FunctionWrapper1<void,LayerRenderJob & __ptr64>::operator() qtconcurrentfunctionwrappers.h:81

QtConcurrent::MapKernel<QList<LayerRenderJob>::iterator,QtConcurrent::FunctionWrapper1<void,LayerRenderJob & __ptr64>

>::runIteration qtconcurrentmapkernel.h:69

QtConcurrent::MapKernel<QList<LayerRenderJob>::iterator,QtConcurrent::FunctionWrapper1<void,LayerRenderJob & __ptr64>

>::runIterations qtconcurrentmapkernel.h:78

QtConcurrent::IterateKernel<QList<LayerRenderJob>::iterator,void>::forThreadFunction qtconcurrentiteratekernel.h:255

QtConcurrent::IterateKernel<QList<LayerRenderJob>::iterator,void>::threadFunction qtconcurrentiteratekernel.h:217

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: commit:fd5a1c82ec

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2
Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-11-06 11:34 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from GUI to GRASS

Any idea at what point (previous qgis version) this stopped to work?

#2 - 2019-03-09 04:43 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback, seems to work fine on 3.6.
